iTunes 10.2: "iTunes was unable to load data class information from Sync Services" alert after installing Xcode 4

After installing Xcode 4 on a computer using Mac OS X v10.6.x, you may receive an alert when syncing an iPhone, iPad, or iPod:

"iTunes was unable to load data class information from Sync Services"

This article has been archived and is no longer updated by Apple.

To resolve this issue, download and install the latest version of iTunes.

If you are still experiencing this issue when syncing, or have not installed Xcode 4 and get this alert:

  1. Follow the troubleshooting steps in Mac OS X v10.5, v10.6: Resetting the SyncServices folder
  2. If the issue is still unresolved, follow steps in Sync Services: Advanced troubleshooting for contact and calendar syncing.
Last Modified:
Helpful?

Additional Product Support Information

Start a Discussion

in Apple Support Communities
See all questions on this article See all questions I have asked
United States (English)